use oklab::*;

fn main() {
    let mut mina = f32::INFINITY;
    let mut minb = f32::INFINITY;
    let mut maxa = -f32::INFINITY;
    let mut maxb = -f32::INFINITY;

    for r in (0..=255).step_by(15) {
        for g in (0..=255).step_by(15) {
            for b in (0..=255).step_by(15) {
                let lab = srgb_to_oklab(RGB {r,g,b});
                maxa = maxa.max(lab.a);
                maxb = maxb.max(lab.b);
                mina = mina.min(lab.a);
                minb = minb.min(lab.b);
                println!("0x{:2x}{:2x}{:2x} = {:?}", r,g,b, lab);
            }
        }
    }
    println!("a={}-{} b={}-{}", mina, maxa, minb, maxb);
}
